URL: https://github.com/freeipa/freeipa/pull/1391
Author: abbra
 Title: #1391: [WIP] Add :1/128 in Travis CI in case it misses
Action: opened

PR body:
"""
Recently IPv6 got enabled in Travis CI with newer Ubuntu images.
If ::1/128 is missing on localhost, add it as we expect at least that.
"""

To pull the PR as Git branch:
git remote add ghfreeipa https://github.com/freeipa/freeipa
git fetch ghfreeipa pull/1391/head:pr1391
git checkout pr1391
From 20a650ea907e4a68436f9b8581f1a4e27ca5a0f8 Mon Sep 17 00:00:00 2001
From: Alexander Bokovoy <aboko...@redhat.com>
Date: Tue, 12 Dec 2017 20:38:58 +0200
Subject: [PATCH] Add :1/128 in Travis CI in case it misses

Recently IPv6 got enabled in Travis CI with newer Ubuntu images.
If ::1/128 is missing on localhost, add it as we expect at least that.
---
 .travis_run_task.sh | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/.travis_run_task.sh b/.travis_run_task.sh
index d3a9cd5ed6..e43a91c815 100755
--- a/.travis_run_task.sh
+++ b/.travis_run_task.sh
@@ -49,6 +49,11 @@ then
     popd
 fi
 
+if ! /sbin/ip -6 addr show to ::1/128 > /dev/null
+then
+   /sbin/ip -6 addr add ::1/128 dev lo up ||:
+fi
+
 docker pull $TEST_RUNNER_IMAGE
 
 ipa-docker-test-runner -l $CI_RESULTS_LOG \
_______________________________________________
FreeIPA-devel mailing list -- freeipa-devel@lists.fedorahosted.org
To unsubscribe send an email to freeipa-devel-le...@lists.fedorahosted.org

Reply via email to